function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Index, Column } from "typeorm";
import { id } from "../id.js";
export let Instance = class Instance {
    id;
    /**
	 * このインスタンスを捕捉した日時
	 */ caughtAt;
    /**
	 * ホスト
	 */ host;
    /**
	 * インスタンスのユーザー数
	 */ usersCount;
    /**
	 * インスタンスの投稿数
	 */ notesCount;
    /**
	 * このインスタンスのユーザーからフォローされている、自インスタンスのユーザーの数
	 */ followingCount;
    /**
	 * このインスタンスのユーザーをフォローしている、自インスタンスのユーザーの数
	 */ followersCount;
    /**
	 * 直近のリクエスト送信日時
	 */ latestRequestSentAt;
    /**
	 * 直近のリクエスト送信時のHTTPステータスコード
	 */ latestStatus;
    /**
	 * 直近のリクエスト受信日時
	 */ latestRequestReceivedAt;
    /**
	 * このインスタンスと最後にやり取りした日時
	 */ lastCommunicatedAt;
    /**
	 * このインスタンスと不通かどうか
	 */ isNotResponding;
    /**
	 * このインスタンスへの配信を停止するか
	 */ isSuspended;
    softwareName;
    softwareVersion;
    openRegistrations;
    name;
    description;
    maintainerName;
    maintainerEmail;
    iconUrl;
    faviconUrl;
    themeColor;
    infoUpdatedAt;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Instance.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone", {
        comment: "The caught date of the Instance."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], Instance.prototype, "caughtAt", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 512,
        comment: "The host of the Instance."
    }),
    _ts_metadata("design:type", String)
], Instance.prototype, "host", void 0);
_ts_decorate([
    Column("integer", {
        default: 0,
        comment: "The count of the users of the Instance."
    }),
    _ts_metadata("design:type", Number)
], Instance.prototype, "usersCount", void 0);
_ts_decorate([
    Column("integer", {
        default: 0,
        comment: "The count of the notes of the Instance."
    }),
    _ts_metadata("design:type", Number)
], Instance.prototype, "notesCount", void 0);
_ts_decorate([
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Instance.prototype, "followingCount", void 0);
_ts_decorate([
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Instance.prototype, "followersCount", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "latestRequestSentAt", void 0);
_ts_decorate([
    Column("integer", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "latestStatus", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "latestRequestReceivedAt", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], Instance.prototype, "lastCommunicatedAt", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Instance.prototype, "isNotResponding", void 0);
_ts_decorate([
    Index(),
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Instance.prototype, "isSuspended", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        nullable: true,
        comment: "The software of the Instance."
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "softwareName", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "softwareVersion", void 0);
_ts_decorate([
    Column("boolean", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "openRegistrations", void 0);
_ts_decorate([
    Column("varchar", {
        length: 256,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "name", void 0);
_ts_decorate([
    Column("varchar", {
        length: 4096,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "description", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "maintainerName", void 0);
_ts_decorate([
    Column("varchar", {
        length: 256,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "maintainerEmail", void 0);
_ts_decorate([
    Column("varchar", {
        length: 4096,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "iconUrl", void 0);
_ts_decorate([
    Column("varchar", {
        length: 4096,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "faviconUrl", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "themeColor", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Instance.prototype, "infoUpdatedAt", void 0);
Instance = _ts_decorate([
    Entity()
], Instance);
